# IP2Location 8.10.3

![PyPI](https://img.shields.io/pypi/v/IP2Location)
![PyPI - Downloads](https://img.shields.io/pypi/dm/IP2Location)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/ip2location)

This is a IP2Location Python library that enables the user to find the country, region or state, city, latitude and longitude, ZIP code, time zone, Internet Service Provider (ISP) or company name, domain name, net speed, area code, weather station code, weather station name, mobile country code (MCC), mobile network code (MNC) and carrier brand, elevation, usage type, address type and IAB category by IP address or hostname originates from. 

This library reads geo-location information from the **IP2Location BIN database** file and supports lookup for both IPv4 and IPv6 addresses.

# Developer Documentation

To learn more about installation, usage, and code examples, please visit the developer documentation at [https://ip2location-python.readthedocs.io/en/latest/index.html](https://ip2location-python.readthedocs.io/en/latest/index.html).

# IP2Location BIN Databases

To use this library, you must download the IP2Location BIN database.

- Download Free IP2Location LITE databases at [https://lite.ip2location.com](https://lite.ip2location.com/)
- Download IP2Location commercial databases at [https://www.ip2location.com](https://www.ip2location.com/developers)

# IPv4 versus IPv6 BIN Database

Below are general guidelines for determining whether to use the IPv4 BIN database or the IPv6 BIN database.

- Use the IPv4 BIN database if you just need to query for IPv4 addresses.
- Use the IPv6 BIN database if you need to query for both IPv4 and IPv6 addresses.

# SDK or Library for Other Programming Languages

To learn about other readily available SDKs or libraries for different programming languages, please visit [https://www.ip2location.com/development-libraries](https://www.ip2location.com/development-libraries).

# Support

Email: [support@ip2location.com](mailto:support@ip2location.com)

URL: [https://www.ip2location.com](https://www.ip2location.com/)
